from django.urls import path
from . import views

urlpatterns = [
    path("",              views.NotificationListView.as_view(),    name="notif-list"),
    path("read/",         views.NotificationMarkReadView.as_view(), name="notif-read-all"),
    path("<int:pk>/read/",views.NotificationMarkReadView.as_view(), name="notif-read-one"),
    path("<int:pk>/",     views.NotificationDeleteView.as_view(),   name="notif-delete"),
    path("clear/",        views.NotificationDeleteView.as_view(),   name="notif-clear"),
]